﻿version: "3"
services:
  debian:
    image: debian:12.10   #image: debian:stable
    container_name: debian
    ports:
      - 20022:22
      - 23389:3389
      - 33330:33330
    volumes:
      - /mnt/movies/data/syncthing/monero:/mnt
      - /opt/docker-data/debian/bookworm/monero:/root/monero
    stdin_open: true
    tty: true
    command: /root/monero/monero-x86_64-linux-gnu-v0.18.4.0/monerod --rpc-bind-ip 0.0.0.0 --rpc-bind-port 33330   --data-dir /mnt/data --rpc-login  shuaibility:abc147258369abc --restricted-rpc --confirm-external-bind  --prune-blockchain --sync-pruned-blocks --proxy 192.168.2.61:9050  --non-interactive
    #privileged: true    风险问题
    restart: unless-stopped